Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/wwwroot/js/d3-tip.js
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/wwwroot/js/d3-tip.js	(revision 13733)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/wwwroot/js/d3-tip.js	(revision 13733)
@@ -0,0 +1,324 @@
+﻿// d3.tip
+// Copyright (c) 2013 Justin Palmer
+//
+// Tooltips for d3.js SVG visualizations
+
+(function (root, factory) {
+    if (typeof define === 'function' && define.amd) {
+        // AMD. Register as an anonymous module with d3 as a dependency.
+        define(['d3'], factory)
+    } else if (typeof module === 'object' && module.exports) {
+        // CommonJS
+        module.exports = function (d3) {
+            d3.tip = factory(d3)
+            return d3.tip
+        }
+    } else {
+        // Browser global.
+        root.d3.tip = factory(root.d3)
+    }
+}(this, function (d3) {
+
+    // Public - contructs a new tooltip
+    //
+    // Returns a tip
+    return function () {
+        var direction = d3_tip_direction,
+            offset = d3_tip_offset,
+            html = d3_tip_html,
+            node = initNode(),
+            svg = null,
+            point = null,
+            target = null
+
+        function tip(vis) {
+            svg = getSVGNode(vis)
+            point = svg.createSVGPoint()
+            document.body.appendChild(node)
+        }
+
+        // Public - show the tooltip on the screen
+        //
+        // Returns a tip
+        tip.show = function () {
+            var args = Array.prototype.slice.call(arguments)
+            if (args[args.length - 1] instanceof SVGElement) target = args.pop()
+
+            var content = html.apply(this, args),
+                poffset = offset.apply(this, args),
+                dir = direction.apply(this, args),
+                nodel = getNodeEl(),
+                i = directions.length,
+                coords,
+                scrollTop = document.documentElement.scrollTop || document.body.scrollTop,
+                scrollLeft = document.documentElement.scrollLeft || document.body.scrollLeft
+
+            nodel.html(content)
+              .style({ opacity: 1, 'pointer-events': 'all' })
+
+            while (i--) nodel.classed(directions[i], false)
+            coords = direction_callbacks.get(dir).apply(this)
+            nodel.classed(dir, true).style({
+                top: (coords.top + poffset[0]) + scrollTop + 'px',
+                left: (coords.left + poffset[1]) + scrollLeft + 'px'
+            })
+
+            return tip
+        }
+
+        // Public - hide the tooltip
+        //
+        // Returns a tip
+        tip.hide = function () {
+            var nodel = getNodeEl()
+            nodel.style({ opacity: 0, 'pointer-events': 'none' })
+            return tip
+        }
+
+        // Public: Proxy attr calls to the d3 tip container.  Sets or gets attribute value.
+        //
+        // n - name of the attribute
+        // v - value of the attribute
+        //
+        // Returns tip or attribute value
+        tip.attr = function (n, v) {
+            if (arguments.length < 2 && typeof n === 'string') {
+                return getNodeEl().attr(n)
+            } else {
+                var args = Array.prototype.slice.call(arguments)
+                d3.selection.prototype.attr.apply(getNodeEl(), args)
+            }
+
+            return tip
+        }
+
+        // Public: Proxy style calls to the d3 tip container.  Sets or gets a style value.
+        //
+        // n - name of the property
+        // v - value of the property
+        //
+        // Returns tip or style property value
+        tip.style = function (n, v) {
+            if (arguments.length < 2 && typeof n === 'string') {
+                return getNodeEl().style(n)
+            } else {
+                var args = Array.prototype.slice.call(arguments)
+                d3.selection.prototype.style.apply(getNodeEl(), args)
+            }
+
+            return tip
+        }
+
+        // Public: Set or get the direction of the tooltip
+        //
+        // v - One of n(north), s(south), e(east), or w(west), nw(northwest),
+        //     sw(southwest), ne(northeast) or se(southeast)
+        //
+        // Returns tip or direction
+        tip.direction = function (v) {
+            if (!arguments.length) return direction
+            direction = v == null ? v : d3.functor(v)
+
+            return tip
+        }
+
+        // Public: Sets or gets the offset of the tip
+        //
+        // v - Array of [x, y] offset
+        //
+        // Returns offset or
+        tip.offset = function (v) {
+            if (!arguments.length) return offset
+            offset = v == null ? v : d3.functor(v)
+
+            return tip
+        }
+
+        // Public: sets or gets the html value of the tooltip
+        //
+        // v - String value of the tip
+        //
+        // Returns html value or tip
+        tip.html = function (v) {
+            if (!arguments.length) return html
+            html = v == null ? v : d3.functor(v)
+
+            return tip
+        }
+
+        // Public: destroys the tooltip and removes it from the DOM
+        //
+        // Returns a tip
+        tip.destroy = function () {
+            if (node) {
+                getNodeEl().remove();
+                node = null;
+            }
+            return tip;
+        }
+
+        function d3_tip_direction() { return 'n' }
+        function d3_tip_offset() { return [0, 0] }
+        function d3_tip_html() { return ' ' }
+
+        var direction_callbacks = d3.map({
+            n: direction_n,
+            s: direction_s,
+            e: direction_e,
+            w: direction_w,
+            nw: direction_nw,
+            ne: direction_ne,
+            sw: direction_sw,
+            se: direction_se
+        }),
+
+        directions = direction_callbacks.keys()
+
+        function direction_n() {
+            var bbox = getScreenBBox()
+            return {
+                top: bbox.n.y - node.offsetHeight,
+                left: bbox.n.x - node.offsetWidth / 2
+            }
+        }
+
+        function direction_s() {
+            var bbox = getScreenBBox()
+            return {
+                top: bbox.s.y,
+                left: bbox.s.x - node.offsetWidth / 2
+            }
+        }
+
+        function direction_e() {
+            var bbox = getScreenBBox()
+            return {
+                top: bbox.e.y - node.offsetHeight / 2,
+                left: bbox.e.x
+            }
+        }
+
+        function direction_w() {
+            var bbox = getScreenBBox()
+            return {
+                top: bbox.w.y - node.offsetHeight / 2,
+                left: bbox.w.x - node.offsetWidth
+            }
+        }
+
+        function direction_nw() {
+            var bbox = getScreenBBox()
+            return {
+                top: bbox.nw.y - node.offsetHeight,
+                left: bbox.nw.x - node.offsetWidth
+            }
+        }
+
+        function direction_ne() {
+            var bbox = getScreenBBox()
+            return {
+                top: bbox.ne.y - node.offsetHeight,
+                left: bbox.ne.x
+            }
+        }
+
+        function direction_sw() {
+            var bbox = getScreenBBox()
+            return {
+                top: bbox.sw.y,
+                left: bbox.sw.x - node.offsetWidth
+            }
+        }
+
+        function direction_se() {
+            var bbox = getScreenBBox()
+            return {
+                top: bbox.se.y,
+                left: bbox.e.x
+            }
+        }
+
+        function initNode() {
+            var node = d3.select(document.createElement('div'))
+            node.style({
+                position: 'absolute',
+                top: 0,
+                opacity: 0,
+                'pointer-events': 'none',
+                'box-sizing': 'border-box'
+            })
+
+            return node.node()
+        }
+
+        function getSVGNode(el) {
+            el = el.node()
+            if (el.tagName.toLowerCase() === 'svg')
+                return el
+
+            return el.ownerSVGElement
+        }
+
+        function getNodeEl() {
+            if (node === null) {
+                node = initNode();
+                // re-add node to DOM
+                document.body.appendChild(node);
+            };
+            return d3.select(node);
+        }
+
+        // Private - gets the screen coordinates of a shape
+        //
+        // Given a shape on the screen, will return an SVGPoint for the directions
+        // n(north), s(south), e(east), w(west), ne(northeast), se(southeast), nw(northwest),
+        // sw(southwest).
+        //
+        //    +-+-+
+        //    |   |
+        //    +   +
+        //    |   |
+        //    +-+-+
+        //
+        // Returns an Object {n, s, e, w, nw, sw, ne, se}
+        function getScreenBBox() {
+            var targetel = target || d3.event.target;
+
+            while ('undefined' === typeof targetel.getScreenCTM && 'undefined' === targetel.parentNode) {
+                targetel = targetel.parentNode;
+            }
+
+            var bbox = {},
+                matrix = targetel.getScreenCTM(),
+                tbbox = targetel.getBBox(),
+                width = tbbox.width,
+                height = tbbox.height,
+                x = tbbox.x,
+                y = tbbox.y
+
+            point.x = x
+            point.y = y
+            bbox.nw = point.matrixTransform(matrix)
+            point.x += width
+            bbox.ne = point.matrixTransform(matrix)
+            point.y += height
+            bbox.se = point.matrixTransform(matrix)
+            point.x -= width
+            bbox.sw = point.matrixTransform(matrix)
+            point.y -= height / 2
+            bbox.w = point.matrixTransform(matrix)
+            point.x += width
+            bbox.e = point.matrixTransform(matrix)
+            point.x -= width / 2
+            point.y -= height / 2
+            bbox.n = point.matrixTransform(matrix)
+            point.y += height
+            bbox.s = point.matrixTransform(matrix)
+
+            return bbox
+        }
+
+        return tip
+    };
+
+}));
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/wwwroot/js/moment-timezone.js
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/wwwroot/js/moment-timezone.js	(revision 13733)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/wwwroot/js/moment-timezone.js	(revision 13733)
@@ -0,0 +1,426 @@
+//! moment-timezone.js
+//! version : 0.4.0
+//! author : Tim Wood
+//! license : MIT
+//! github.com/moment/moment-timezone
+
+(function (root, factory) {
+	"use strict";
+
+	/*global define*/
+	if (typeof define === 'function' && define.amd) {
+		define(['moment'], factory);                 // AMD
+	} else if (typeof exports === 'object') {
+		module.exports = factory(require('moment')); // Node
+	} else {
+		factory(root.moment);                        // Browser
+	}
+}(this, function (moment) {
+	"use strict";
+
+	// Do not load moment-timezone a second time.
+	if (moment.tz !== undefined) {
+		logError('Moment Timezone ' + moment.tz.version + ' was already loaded ' + (moment.tz.dataVersion ? 'with data from ' : 'without any data') + moment.tz.dataVersion);
+		return moment;
+	}
+
+	var VERSION = "0.4.0",
+		zones = {},
+		links = {},
+		names = {},
+
+		momentVersion = moment.version.split('.'),
+		major = +momentVersion[0],
+		minor = +momentVersion[1];
+
+	// Moment.js version check
+	if (major < 2 || (major === 2 && minor < 6)) {
+		logError('Moment Timezone requires Moment.js >= 2.6.0. You are using Moment.js ' + moment.version + '. See momentjs.com');
+	}
+
+	/************************************
+		Unpacking
+	************************************/
+
+	function charCodeToInt(charCode) {
+		if (charCode > 96) {
+			return charCode - 87;
+		} else if (charCode > 64) {
+			return charCode - 29;
+		}
+		return charCode - 48;
+	}
+
+	function unpackBase60(string) {
+		var i = 0,
+			parts = string.split('.'),
+			whole = parts[0],
+			fractional = parts[1] || '',
+			multiplier = 1,
+			num,
+			out = 0,
+			sign = 1;
+
+		// handle negative numbers
+		if (string.charCodeAt(0) === 45) {
+			i = 1;
+			sign = -1;
+		}
+
+		// handle digits before the decimal
+		for (i; i < whole.length; i++) {
+			num = charCodeToInt(whole.charCodeAt(i));
+			out = 60 * out + num;
+		}
+
+		// handle digits after the decimal
+		for (i = 0; i < fractional.length; i++) {
+			multiplier = multiplier / 60;
+			num = charCodeToInt(fractional.charCodeAt(i));
+			out += num * multiplier;
+		}
+
+		return out * sign;
+	}
+
+	function arrayToInt (array) {
+		for (var i = 0; i < array.length; i++) {
+			array[i] = unpackBase60(array[i]);
+		}
+	}
+
+	function intToUntil (array, length) {
+		for (var i = 0; i < length; i++) {
+			array[i] = Math.round((array[i - 1] || 0) + (array[i] * 60000)); // minutes to milliseconds
+		}
+
+		array[length - 1] = Infinity;
+	}
+
+	function mapIndices (source, indices) {
+		var out = [], i;
+
+		for (i = 0; i < indices.length; i++) {
+			out[i] = source[indices[i]];
+		}
+
+		return out;
+	}
+
+	function unpack (string) {
+		var data = string.split('|'),
+			offsets = data[2].split(' '),
+			indices = data[3].split(''),
+			untils  = data[4].split(' ');
+
+		arrayToInt(offsets);
+		arrayToInt(indices);
+		arrayToInt(untils);
+
+		intToUntil(untils, indices.length);
+
+		return {
+			name    : data[0],
+			abbrs   : mapIndices(data[1].split(' '), indices),
+			offsets : mapIndices(offsets, indices),
+			untils  : untils
+		};
+	}
+
+	/************************************
+		Zone object
+	************************************/
+
+	function Zone (packedString) {
+		if (packedString) {
+			this._set(unpack(packedString));
+		}
+	}
+
+	Zone.prototype = {
+		_set : function (unpacked) {
+			this.name    = unpacked.name;
+			this.abbrs   = unpacked.abbrs;
+			this.untils  = unpacked.untils;
+			this.offsets = unpacked.offsets;
+		},
+
+		_index : function (timestamp) {
+			var target = +timestamp,
+				untils = this.untils,
+				i;
+
+			for (i = 0; i < untils.length; i++) {
+				if (target < untils[i]) {
+					return i;
+				}
+			}
+		},
+
+		parse : function (timestamp) {
+			var target  = +timestamp,
+				offsets = this.offsets,
+				untils  = this.untils,
+				max     = untils.length - 1,
+				offset, offsetNext, offsetPrev, i;
+
+			for (i = 0; i < max; i++) {
+				offset     = offsets[i];
+				offsetNext = offsets[i + 1];
+				offsetPrev = offsets[i ? i - 1 : i];
+
+				if (offset < offsetNext && tz.moveAmbiguousForward) {
+					offset = offsetNext;
+				} else if (offset > offsetPrev && tz.moveInvalidForward) {
+					offset = offsetPrev;
+				}
+
+				if (target < untils[i] - (offset * 60000)) {
+					return offsets[i];
+				}
+			}
+
+			return offsets[max];
+		},
+
+		abbr : function (mom) {
+			return this.abbrs[this._index(mom)];
+		},
+
+		offset : function (mom) {
+			return this.offsets[this._index(mom)];
+		}
+	};
+
+	/************************************
+		Global Methods
+	************************************/
+
+	function normalizeName (name) {
+		return (name || '').toLowerCase().replace(/\//g, '_');
+	}
+
+	function addZone (packed) {
+		var i, name, normalized;
+
+		if (typeof packed === "string") {
+			packed = [packed];
+		}
+
+		for (i = 0; i < packed.length; i++) {
+			name = packed[i].split('|')[0];
+			normalized = normalizeName(name);
+			zones[normalized] = packed[i];
+			names[normalized] = name;
+		}
+	}
+
+	function getZone (name, caller) {
+		name = normalizeName(name);
+
+		var zone = zones[name];
+		var link;
+		
+		if (zone instanceof Zone) {
+			return zone;
+		}
+
+		if (typeof zone === 'string') {
+			zone = new Zone(zone);
+			zones[name] = zone;
+			return zone;
+		}
+
+		// Pass getZone to prevent recursion more than 1 level deep
+		if (links[name] && caller !== getZone && (link = getZone(links[name], getZone))) {
+			zone = zones[name] = new Zone();
+			zone._set(link);
+			zone.name = names[name];
+			return zone;
+		}
+
+		return null;
+	}
+
+	function getNames () {
+		var i, out = [];
+
+		for (i in names) {
+			if (names.hasOwnProperty(i) && (zones[i] || zones[links[i]]) && names[i]) {
+				out.push(names[i]);
+			}
+		}
+
+		return out.sort();
+	}
+
+	function addLink (aliases) {
+		var i, alias, normal0, normal1;
+
+		if (typeof aliases === "string") {
+			aliases = [aliases];
+		}
+
+		for (i = 0; i < aliases.length; i++) {
+			alias = aliases[i].split('|');
+
+			normal0 = normalizeName(alias[0]);
+			normal1 = normalizeName(alias[1]);
+
+			links[normal0] = normal1;
+			names[normal0] = alias[0];
+
+			links[normal1] = normal0;
+			names[normal1] = alias[1];
+		}
+	}
+
+	function loadData (data) {
+		addZone(data.zones);
+		addLink(data.links);
+		tz.dataVersion = data.version;
+	}
+
+	function zoneExists (name) {
+		if (!zoneExists.didShowError) {
+			zoneExists.didShowError = true;
+				logError("moment.tz.zoneExists('" + name + "') has been deprecated in favor of !moment.tz.zone('" + name + "')");
+		}
+		return !!getZone(name);
+	}
+
+	function needsOffset (m) {
+		return !!(m._a && (m._tzm === undefined));
+	}
+
+	function logError (message) {
+		if (typeof console !== 'undefined' && typeof console.error === 'function') {
+			console.error(message);
+		}
+	}
+
+	/************************************
+		moment.tz namespace
+	************************************/
+
+	function tz (input) {
+		var args = Array.prototype.slice.call(arguments, 0, -1),
+			name = arguments[arguments.length - 1],
+			zone = getZone(name),
+			out  = moment.utc.apply(null, args);
+
+		if (zone && !moment.isMoment(input) && needsOffset(out)) {
+			out.add(zone.parse(out), 'minutes');
+		}
+
+		out.tz(name);
+
+		return out;
+	}
+
+	tz.version      = VERSION;
+	tz.dataVersion  = '';
+	tz._zones       = zones;
+	tz._links       = links;
+	tz._names       = names;
+	tz.add          = addZone;
+	tz.link         = addLink;
+	tz.load         = loadData;
+	tz.zone         = getZone;
+	tz.zoneExists   = zoneExists; // deprecated in 0.1.0
+	tz.names        = getNames;
+	tz.Zone         = Zone;
+	tz.unpack       = unpack;
+	tz.unpackBase60 = unpackBase60;
+	tz.needsOffset  = needsOffset;
+	tz.moveInvalidForward   = true;
+	tz.moveAmbiguousForward = false;
+
+	/************************************
+		Interface with Moment.js
+	************************************/
+
+	var fn = moment.fn;
+
+	moment.tz = tz;
+
+	moment.defaultZone = null;
+
+	moment.updateOffset = function (mom, keepTime) {
+		var zone = moment.defaultZone,
+			offset;
+
+		if (mom._z === undefined) {
+			if (zone && needsOffset(mom) && !mom._isUTC) {
+				mom._d = moment.utc(mom._a)._d;
+				mom.utc().add(zone.parse(mom), 'minutes');
+			}
+			mom._z = zone;
+		}
+		if (mom._z) {
+			offset = mom._z.offset(mom);
+			if (Math.abs(offset) < 16) {
+				offset = offset / 60;
+			}
+			if (mom.utcOffset !== undefined) {
+				mom.utcOffset(-offset, keepTime);
+			} else {
+				mom.zone(offset, keepTime);
+			}
+		}
+	};
+
+	fn.tz = function (name) {
+		if (name) {
+			this._z = getZone(name);
+			if (this._z) {
+				moment.updateOffset(this);
+			} else {
+				logError("Moment Timezone has no data for " + name + ". See http://momentjs.com/timezone/docs/#/data-loading/.");
+			}
+			return this;
+		}
+		if (this._z) { return this._z.name; }
+	};
+
+	function abbrWrap (old) {
+		return function () {
+			if (this._z) { return this._z.abbr(this); }
+			return old.call(this);
+		};
+	}
+
+	function resetZoneWrap (old) {
+		return function () {
+			this._z = null;
+			return old.apply(this, arguments);
+		};
+	}
+
+	fn.zoneName = abbrWrap(fn.zoneName);
+	fn.zoneAbbr = abbrWrap(fn.zoneAbbr);
+	fn.utc      = resetZoneWrap(fn.utc);
+
+	moment.tz.setDefault = function(name) {
+		if (major < 2 || (major === 2 && minor < 9)) {
+			logError('Moment Timezone setDefault() requires Moment.js >= 2.9.0. You are using Moment.js ' + moment.version + '.');
+		}
+		moment.defaultZone = name ? getZone(name) : null;
+		return moment;
+	};
+
+	// Cloning a moment should include the _z property.
+	var momentProperties = moment.momentProperties;
+	if (Object.prototype.toString.call(momentProperties) === '[object Array]') {
+		// moment 2.8.1+
+		momentProperties.push('_z');
+		momentProperties.push('_a');
+	} else if (momentProperties) {
+		// moment 2.7.0
+		momentProperties._z = null;
+	}
+
+	// INJECT DATA
+
+	return moment;
+}));
